org.eclipse.jdt.core.manipulation

## Class JavaManipulation

- java.lang.Object
- - org.eclipse.jdt.core.manipulation.JavaManipulation

    public class JavaManipulation
    extends Object

Central access point for the Java Manipulation plug-in (id `"org.eclipse.jdt.core.manipulation"`).

### Field Summary

Fields
`static String` `ID_PLUGIN` The id of the Java Manipulation plug-in (value `"org.eclipse.jdt.core.manipulation"`).

### Constructor Summary

Constructors
Constructor and Description
`JavaManipulation()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID_PLUGIN

    public static final String ID_PLUGIN

The id of the Java Manipulation plug-in (value `"org.eclipse.jdt.core.manipulation"`).

See Also:
  Constant Field Values

### Constructor Detail

#### JavaManipulation

    public JavaManipulation()